# std::_GBase< _Dom > Class Template Reference

Inheritance diagram for std::_GBase< _Dom >:

List of all members.

## Detailed Description

### template<class _Dom>
class std::_GBase< _Dom >

Definition at line 49 of file valarray_after.h.

## Public Types

- typedef _Dom::value_type value_type

## Public Member Functions

- _GBase (const _Dom &__e, const valarray< size_t > &__i)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this class was generated from the following file:

- valarray_after.h